
package org.ncsconline.reference.arrestwarrantextension._2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import gov.niem.niem.domains.jxdm._4.SubjectType;
import gov.niem.niem.niem_core._2.ActivityType;
import gov.niem.niem.niem_core._2.BinaryType;
import gov.niem.niem.niem_core._2.BiometricType;
import gov.niem.niem.niem_core._2.DateType;
import gov.niem.niem.niem_core._2.IdentificationType;
import gov.niem.niem.niem_core._2.TextType;
import gov.niem.niem.proxy.xsd._2.Boolean;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ncsconline.reference.arrestwarrantextension._2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CourtOrderIssuingJudicialOfficial_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "CourtOrderIssuingJudicialOfficial");
    private final static QName _CaseSealedIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "CaseSealedIndicator");
    private final static QName _VictimRightsOffenseIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "VictimRightsOffenseIndicator");
    private final static QName _Person_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Person");
    private final static QName _IncareratingAgencyRole_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "IncareratingAgencyRole");
    private final static QName _PersonAuthorizationBlockText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonAuthorizationBlockText");
    private final static QName _AuthorizationBinary_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "AuthorizationBinary");
    private final static QName _PersonDNA_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonDNA");
    private final static QName _Metadata_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Metadata");
    private final static QName _ChargeEnhancingFactor_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeEnhancingFactor");
    private final static QName _ChargeApplicabilityStatute_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeApplicabilityStatute");
    private final static QName _PackingAgencyRole_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PackingAgencyRole");
    private final static QName _ConfidentialIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ConfidentialIndicator");
    private final static QName _PersonNCICWeightText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonNCICWeightText");
    private final static QName _StatuteCodeOffenseIdentification_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "StatuteCodeOffenseIdentification");
    private final static QName _PersonMedicalCondition_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonMedicalCondition");
    private final static QName _InterpreterRequiredIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "InterpreterRequiredIndicator");
    private final static QName _StateStatuteMappingCodeText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "StateStatuteMappingCodeText");
    private final static QName _CourtCharge_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "CourtCharge");
    private final static QName _Document_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Document");
    private final static QName _GrandJuryIndictment_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "GrandJuryIndictment");
    private final static QName _Case_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Case");
    private final static QName _SexuallyViolentPredatorIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "SexuallyViolentPredatorIndicator");
    private final static QName _ChargeFactorText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeFactorText");
    private final static QName _IncidentPersonAssociation_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "IncidentPersonAssociation");
    private final static QName _Organization_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Organization");
    private final static QName _ViolationZoneCategoryText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ViolationZoneCategoryText");
    private final static QName _RetinalScan_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "RetinalScan");
    private final static QName _FingerprintSet_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "FingerprintSet");
    private final static QName _PersonAugmentation_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonAugmentation");
    private final static QName _AlternativeChargeIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "AlternativeChargeIndicator");
    private final static QName _Subject_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Subject");
    private final static QName _RedactedIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "RedactedIndicator");
    private final static QName _DomesticViolenceIndicator_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "DomesticViolenceIndicator");
    private final static QName _RedactedDate_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "RedactedDate");
    private final static QName _PersonMedicalConditionTreatmentText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonMedicalConditionTreatmentText");
    private final static QName _FilingAgencyRole_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "FilingAgencyRole");
    private final static QName _Fingerprint_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "Fingerprint");
    private final static QName _ChargeCurrentSequenceIdentification_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeCurrentSequenceIdentification");
    private final static QName _PersonAlternateName_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonAlternateName");
    private final static QName _CourtOrderRequestActor_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "CourtOrderRequestActor");
    private final static QName _OriginatingAgencyRole_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "OriginatingAgencyRole");
    private final static QName _ChargeStatute_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeStatute");
    private final static QName _ChargeOriginalSequenceIdentification_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "ChargeOriginalSequenceIdentification");
    private final static QName _PersonNCICHeightText_QNAME = new QName("http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", "PersonNCICHeightText");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ncsconline.reference.arrestwarrantextension._2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AgencyRoleType }
     * 
     */
    public AgencyRoleType createAgencyRoleType() {
        return new AgencyRoleType();
    }

    /**
     * Create an instance of {@link IncidentPersonAssociationType }
     * 
     */
    public IncidentPersonAssociationType createIncidentPersonAssociationType() {
        return new IncidentPersonAssociationType();
    }

    /**
     * Create an instance of {@link JudicialOfficialType }
     * 
     */
    public JudicialOfficialType createJudicialOfficialType() {
        return new JudicialOfficialType();
    }

    /**
     * Create an instance of {@link PersonAugmentationType }
     * 
     */
    public PersonAugmentationType createPersonAugmentationType() {
        return new PersonAugmentationType();
    }

    /**
     * Create an instance of {@link OrganizationType }
     * 
     */
    public OrganizationType createOrganizationType() {
        return new OrganizationType();
    }

    /**
     * Create an instance of {@link DNAType }
     * 
     */
    public DNAType createDNAType() {
        return new DNAType();
    }

    /**
     * Create an instance of {@link FingerprintType }
     * 
     */
    public FingerprintType createFingerprintType() {
        return new FingerprintType();
    }

    /**
     * Create an instance of {@link StatuteType }
     * 
     */
    public StatuteType createStatuteType() {
        return new StatuteType();
    }

    /**
     * Create an instance of {@link FingerprintSetType }
     * 
     */
    public FingerprintSetType createFingerprintSetType() {
        return new FingerprintSetType();
    }

    /**
     * Create an instance of {@link AugmentedCaseType }
     * 
     */
    public AugmentedCaseType createAugmentedCaseType() {
        return new AugmentedCaseType();
    }

    /**
     * Create an instance of {@link MedicalConditionType }
     * 
     */
    public MedicalConditionType createMedicalConditionType() {
        return new MedicalConditionType();
    }

    /**
     * Create an instance of {@link AugmentedPersonNameType }
     * 
     */
    public AugmentedPersonNameType createAugmentedPersonNameType() {
        return new AugmentedPersonNameType();
    }

    /**
     * Create an instance of {@link DocumentType }
     * 
     */
    public DocumentType createDocumentType() {
        return new DocumentType();
    }

    /**
     * Create an instance of {@link PersonType }
     * 
     */
    public PersonType createPersonType() {
        return new PersonType();
    }

    /**
     * Create an instance of {@link ChargeEnhancingFactorType }
     * 
     */
    public ChargeEnhancingFactorType createChargeEnhancingFactorType() {
        return new ChargeEnhancingFactorType();
    }

    /**
     * Create an instance of {@link ChargeType }
     * 
     */
    public ChargeType createChargeType() {
        return new ChargeType();
    }

    /**
     * Create an instance of {@link MetadataType }
     * 
     */
    public MetadataType createMetadataType() {
        return new MetadataType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JudicialOfficialType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "CourtOrderIssuingJudicialOfficial")
    public JAXBElement<JudicialOfficialType> createCourtOrderIssuingJudicialOfficial(JudicialOfficialType value) {
        return new JAXBElement<JudicialOfficialType>(_CourtOrderIssuingJudicialOfficial_QNAME, JudicialOfficialType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "CaseSealedIndicator")
    public JAXBElement<Boolean> createCaseSealedIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_CaseSealedIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "VictimRightsOffenseIndicator")
    public JAXBElement<Boolean> createVictimRightsOffenseIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_VictimRightsOffenseIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Person")
    public JAXBElement<PersonType> createPerson(PersonType value) {
        return new JAXBElement<PersonType>(_Person_QNAME, PersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgencyRoleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "IncareratingAgencyRole")
    public JAXBElement<AgencyRoleType> createIncareratingAgencyRole(AgencyRoleType value) {
        return new JAXBElement<AgencyRoleType>(_IncareratingAgencyRole_QNAME, AgencyRoleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonAuthorizationBlockText")
    public JAXBElement<TextType> createPersonAuthorizationBlockText(TextType value) {
        return new JAXBElement<TextType>(_PersonAuthorizationBlockText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BinaryType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "AuthorizationBinary")
    public JAXBElement<BinaryType> createAuthorizationBinary(BinaryType value) {
        return new JAXBElement<BinaryType>(_AuthorizationBinary_QNAME, BinaryType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DNAType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonDNA")
    public JAXBElement<DNAType> createPersonDNA(DNAType value) {
        return new JAXBElement<DNAType>(_PersonDNA_QNAME, DNAType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MetadataType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Metadata")
    public JAXBElement<MetadataType> createMetadata(MetadataType value) {
        return new JAXBElement<MetadataType>(_Metadata_QNAME, MetadataType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ChargeEnhancingFactorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeEnhancingFactor")
    public JAXBElement<ChargeEnhancingFactorType> createChargeEnhancingFactor(ChargeEnhancingFactorType value) {
        return new JAXBElement<ChargeEnhancingFactorType>(_ChargeEnhancingFactor_QNAME, ChargeEnhancingFactorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatuteType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeApplicabilityStatute")
    public JAXBElement<StatuteType> createChargeApplicabilityStatute(StatuteType value) {
        return new JAXBElement<StatuteType>(_ChargeApplicabilityStatute_QNAME, StatuteType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgencyRoleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PackingAgencyRole")
    public JAXBElement<AgencyRoleType> createPackingAgencyRole(AgencyRoleType value) {
        return new JAXBElement<AgencyRoleType>(_PackingAgencyRole_QNAME, AgencyRoleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ConfidentialIndicator")
    public JAXBElement<Boolean> createConfidentialIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_ConfidentialIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonNCICWeightText")
    public JAXBElement<TextType> createPersonNCICWeightText(TextType value) {
        return new JAXBElement<TextType>(_PersonNCICWeightText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "StatuteCodeOffenseIdentification")
    public JAXBElement<IdentificationType> createStatuteCodeOffenseIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_StatuteCodeOffenseIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MedicalConditionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonMedicalCondition")
    public JAXBElement<MedicalConditionType> createPersonMedicalCondition(MedicalConditionType value) {
        return new JAXBElement<MedicalConditionType>(_PersonMedicalCondition_QNAME, MedicalConditionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "InterpreterRequiredIndicator")
    public JAXBElement<Boolean> createInterpreterRequiredIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_InterpreterRequiredIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "StateStatuteMappingCodeText")
    public JAXBElement<TextType> createStateStatuteMappingCodeText(TextType value) {
        return new JAXBElement<TextType>(_StateStatuteMappingCodeText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ChargeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "CourtCharge")
    public JAXBElement<ChargeType> createCourtCharge(ChargeType value) {
        return new JAXBElement<ChargeType>(_CourtCharge_QNAME, ChargeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DocumentType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Document")
    public JAXBElement<DocumentType> createDocument(DocumentType value) {
        return new JAXBElement<DocumentType>(_Document_QNAME, DocumentType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActivityType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "GrandJuryIndictment")
    public JAXBElement<ActivityType> createGrandJuryIndictment(ActivityType value) {
        return new JAXBElement<ActivityType>(_GrandJuryIndictment_QNAME, ActivityType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AugmentedCaseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Case")
    public JAXBElement<AugmentedCaseType> createCase(AugmentedCaseType value) {
        return new JAXBElement<AugmentedCaseType>(_Case_QNAME, AugmentedCaseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "SexuallyViolentPredatorIndicator")
    public JAXBElement<Boolean> createSexuallyViolentPredatorIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_SexuallyViolentPredatorIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeFactorText")
    public JAXBElement<TextType> createChargeFactorText(TextType value) {
        return new JAXBElement<TextType>(_ChargeFactorText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IncidentPersonAssociationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "IncidentPersonAssociation")
    public JAXBElement<IncidentPersonAssociationType> createIncidentPersonAssociation(IncidentPersonAssociationType value) {
        return new JAXBElement<IncidentPersonAssociationType>(_IncidentPersonAssociation_QNAME, IncidentPersonAssociationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrganizationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Organization")
    public JAXBElement<OrganizationType> createOrganization(OrganizationType value) {
        return new JAXBElement<OrganizationType>(_Organization_QNAME, OrganizationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ViolationZoneCategoryText")
    public JAXBElement<TextType> createViolationZoneCategoryText(TextType value) {
        return new JAXBElement<TextType>(_ViolationZoneCategoryText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "RetinalScan")
    public JAXBElement<BiometricType> createRetinalScan(BiometricType value) {
        return new JAXBElement<BiometricType>(_RetinalScan_QNAME, BiometricType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FingerprintSetType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "FingerprintSet")
    public JAXBElement<FingerprintSetType> createFingerprintSet(FingerprintSetType value) {
        return new JAXBElement<FingerprintSetType>(_FingerprintSet_QNAME, FingerprintSetType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonAugmentationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonAugmentation")
    public JAXBElement<PersonAugmentationType> createPersonAugmentation(PersonAugmentationType value) {
        return new JAXBElement<PersonAugmentationType>(_PersonAugmentation_QNAME, PersonAugmentationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "AlternativeChargeIndicator")
    public JAXBElement<Boolean> createAlternativeChargeIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_AlternativeChargeIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SubjectType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Subject")
    public JAXBElement<SubjectType> createSubject(SubjectType value) {
        return new JAXBElement<SubjectType>(_Subject_QNAME, SubjectType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "RedactedIndicator")
    public JAXBElement<Boolean> createRedactedIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_RedactedIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "DomesticViolenceIndicator")
    public JAXBElement<Boolean> createDomesticViolenceIndicator(Boolean value) {
        return new JAXBElement<Boolean>(_DomesticViolenceIndicator_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DateType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "RedactedDate")
    public JAXBElement<DateType> createRedactedDate(DateType value) {
        return new JAXBElement<DateType>(_RedactedDate_QNAME, DateType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonMedicalConditionTreatmentText")
    public JAXBElement<TextType> createPersonMedicalConditionTreatmentText(TextType value) {
        return new JAXBElement<TextType>(_PersonMedicalConditionTreatmentText_QNAME, TextType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgencyRoleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "FilingAgencyRole")
    public JAXBElement<AgencyRoleType> createFilingAgencyRole(AgencyRoleType value) {
        return new JAXBElement<AgencyRoleType>(_FilingAgencyRole_QNAME, AgencyRoleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FingerprintType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "Fingerprint")
    public JAXBElement<FingerprintType> createFingerprint(FingerprintType value) {
        return new JAXBElement<FingerprintType>(_Fingerprint_QNAME, FingerprintType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeCurrentSequenceIdentification")
    public JAXBElement<IdentificationType> createChargeCurrentSequenceIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_ChargeCurrentSequenceIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AugmentedPersonNameType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonAlternateName", substitutionHeadNamespace = "http://niem.gov/niem/niem-core/2.0", substitutionHeadName = "PersonAlternateName")
    public JAXBElement<AugmentedPersonNameType> createPersonAlternateName(AugmentedPersonNameType value) {
        return new JAXBElement<AugmentedPersonNameType>(_PersonAlternateName_QNAME, AugmentedPersonNameType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersonType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "CourtOrderRequestActor")
    public JAXBElement<PersonType> createCourtOrderRequestActor(PersonType value) {
        return new JAXBElement<PersonType>(_CourtOrderRequestActor_QNAME, PersonType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AgencyRoleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "OriginatingAgencyRole")
    public JAXBElement<AgencyRoleType> createOriginatingAgencyRole(AgencyRoleType value) {
        return new JAXBElement<AgencyRoleType>(_OriginatingAgencyRole_QNAME, AgencyRoleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatuteType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeStatute")
    public JAXBElement<StatuteType> createChargeStatute(StatuteType value) {
        return new JAXBElement<StatuteType>(_ChargeStatute_QNAME, StatuteType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentificationType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "ChargeOriginalSequenceIdentification")
    public JAXBElement<IdentificationType> createChargeOriginalSequenceIdentification(IdentificationType value) {
        return new JAXBElement<IdentificationType>(_ChargeOriginalSequenceIdentification_QNAME, IdentificationType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.ncsconline.org/reference/ArrestWarrantExtension/2.0", name = "PersonNCICHeightText")
    public JAXBElement<TextType> createPersonNCICHeightText(TextType value) {
        return new JAXBElement<TextType>(_PersonNCICHeightText_QNAME, TextType.class, null, value);
    }

}
